<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>

		<html>
<!-- vap-44 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css"/>
		</head>
        <body marginwidth="0" marginheight="0" leftmargin="0" topmargin="0" bottommargin="0" rightmargin="0">
        <table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" class="alltable" bgcolor="#FFFFFF">
        <tr>
        <td height="37" width="1"><div style="width:203px; height:0px;"><spacer/></div></td>
        <td width="100%"></td>
        </tr>

        <tr>
        <td height="201" style="background: url(images/visual_left.gif) bottom left repeat-x; padding: 5px 5px 94px 5px;" align="center">
        	<table cellpadding="0" cellspacing="0" border="0">
        	<tr>
        	<td align="right"><div class="mycompany"><span class="my-color"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></span></div></td>
        	<td style="padding-left:10px; padding-right:10px;"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
        	</tr>
        	</table>
        </td>
        <td width="100%" valign="bottom">
        	<table cellpadding="0" cellspacing="0" border="0" width="100%" height="201">
        	<tr>
        	<td style="background:#f7f7f7 url(images/visual_bg.gif) top left no-repeat;" align="center">
        		<div style="width:300px; height:0px;"><spacer/></div>
        		<img src="images/top.jpg" border="0" alt=""/>
        		<br />
        	</td>
        	<td width="100%" align="center" style="padding-bottom:94px; background:#ffffff url(images/visual_left.gif) bottom repeat-x;">
				<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
					<tr><td align="center"><div class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></div></td></tr>
				</table>
        	</td>
        	</tr>
        	</table>
        </td>
        </tr>

        <tr>
        <td height="41" style="background:#A2C3D1 url(images/menu_bgrpt.gif) top left repeat-x; "></td>
        <td style="background:#A2C3D1 url(images/menu_bgrpt.gif) top left repeat-x; ">
        	<!-- CALL TOP-MENU -->
        	<xsl:call-template name="TOP-MENU"/>
        </td>
        </tr>

        <tr>
        <td height="100%" valign="top" style="background:url(images/bg2.gif)">
		<table width="100%" border="0" cellspacing="0">
		<tr>
		<td height="200" valign="top" style="background:url(images/2ndmenu_top.jpg) top right no-repeat; padding-top:8px;">
		<!-- CALL SUB-MENU -->
        	<xsl:call-template name="SUB-MENU">
        		<xsl:with-param name="pageID" select="@ID"/>
        	</xsl:call-template>
		</td>
		</tr></table>
        </td>
        <td width="100%" valign="top" class="text-bg" style="padding:30px 33px 26px 33px;">
        	<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
        	<tr>
        	<td>
			<table><tr>
			<td class="pageheader" style="padding-bottom:2px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
        	</td>
        	<td width="40" style="background:url(images/pageheader_mark.gif) center left no-repeat;"></td>
			  </tr>
			</table>
			</td>
        	</tr>
        	<tr>
        	  <td background="images/line.gif" height="1" ><img src="images/line.gif" width="31" height="1" /></td>
      	  </tr>
        	<tr>
        	<td  width="100%" height="100%" colspan="2" valign="top" class="pageContent" style="padding:14px 15px 0px 0px;">
        		<table cellpadding="0" cellspacing="0" border="0"  width="100%" height="100%">
        			<tr><td  width="100%" height="100%" valign="top" class="pageContent">
		        		<xsl:apply-templates select="PAGE-CONTENT"/>
        			</td>
        			</tr>
        		</table>
        	</td>
        	</tr>
       	  </table>
        </td>
        </tr>

        <tr>
        <td height="72"></td>
        <td class="bottommenu" valign="top" style="padding:16px 0px 0px 13px;">
        	<!-- CALL BOTTOM-MENU -->
        	<xsl:call-template name="BOTTOM-MENU"/>

        	<table cellpadding="0" cellspacing="0" border="0" style="margin-top:7px;">
        	<tr>
        	<td class="copy">
        		<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
        	</td>
        	</tr>
        	</table>
        </td>
        </tr>
        </table>

        </body>
		</html>

	</xsl:template>

   				
	<!--TOP-MENU-->

	<xsl:template name="TOP-MENU">
   		<table cellpadding="0" cellspacing="0" border="0" height="41">
	   		<tr>
				<xsl:apply-templates select="MENU" mode="top"/>			
   			</tr>
   		</table>
	</xsl:template>
  
        				
	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
				<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
				<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
			</xsl:when>
		<xsl:otherwise>
			<!-- no op -->
		</xsl:otherwise>
		</xsl:choose>
	</xsl:template>


	<xsl:template name="BOTTOM-MENU">
  		<table cellpadding="0" cellspacing="0" border="0">
   			<tr>		
				<xsl:apply-templates select="MENU" mode="bottom"/>			
   			</tr>
   		</table>
	</xsl:template>


	<xsl:template match="MENU" mode="bottom">
		<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
	</xsl:template>


	<xsl:template match="MENU-ITEM"  mode="bottom">
   		<xsl:choose>
           <!-- when vizited inside-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
            	<td class="bottommenuitemactive"><a href="{@HREF}" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            </xsl:when>
            <!-- when active-->
            
            <xsl:otherwise>
            	<td class="bottommenuitem"><a href="{@HREF}" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            </xsl:otherwise>
        </xsl:choose>
        <xsl:if test="position()!=last()">
        	<td style="background:url(images/bottommenu_divider.gif) center center no-repeat; "><div style="width:22px; height:0px;"><spacer/></div></td>
        </xsl:if>
	</xsl:template>

	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
