<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- xbs-14 -->
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<TABLE WIDTH="100%" HEIGHT="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0">
	<TR>
		<TD height="196" valign="top" style="background-image: url('images/header_bg.jpg'); background-position: top right; background-repeat: repeat-x;">
			<table cellpadding="0" cellspacing="0" border="0" width="100%" height="196" style="background-image: url('images/header.jpg'); background-position: top right; background-repeat: no-repeat;">
				<tr>
					<td>
						<table cellpadding="0" cellspacing="0" border="0" width="100%" height="196">
							<tr>
								<td height="100%" style="padding-left: 120px;">
								<!-- LOGO -->
									<table cellpadding="0" cellspacing="0">
										<tr><td align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0"/></a></td></tr>
										<tr><td align="center" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td></tr>
										<tr><td align="center" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
									</table>
								<!-- END LOGO -->
								</td>
							</tr>
							<tr>
								<td height="35" valign="bottom">
								<!-- MENU -->
									<table cellpadding="0" cellspacing="0" border="0" height="35">
										<tr>
											<td width="29"></td>
											<xsl:call-template name="TOP-MENU"/>
										</tr>
									</table>
								<!-- END MENU -->
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="100%" valign="top" background="images/bg.gif">
			<table width="100%" height="100%" cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td>
						<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
							<tr>
								<td valign="top" align="center">
									<div style="width:1px; height:35px;"><spacer type="block" width="1" height="35"/></div>
									<table cellpadding="0" cellspacing="0" border="0" width="158" style="background-image: url('images/submenu_bg.gif'); background-repeat: repeat-y;">
										<tr><td><img src="images/submenu_tbg.gif" border="0" alt=""/></td></tr>
										<tr>
											<td valign="top" height="172" style="background-image: url('images/submenu_bbg.gif'); background-position: bottom; background-repeat: no-repeat;">
												<table cellpadding="0" cellspacing="0" width="150" align="center">
													<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
													<tr><td colspan="2" height="7"></td></tr>
												</table>	
											</td>
										</tr>
									</table>
									<div style="width:225px; height:1px;"><spacer type="block" width="225" height="1"/></div>
								</td>
								<td width="100%" valign="top" class="pageContent">			
									<!-- CONTENT -->		
									<div style="width:1px; height:30px;"><spacer type="block" width="1" height="15"/></div>
									<div class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></div>
									<div style="width:1px; height:15px;"><spacer type="block" width="1" height="15"/></div>
									<xsl:apply-templates select="PAGE-CONTENT"/>
									<div style="width:1px; height:30px;"><spacer type="block" width="1" height="15"/></div>	
									<!-- END CONTENT -->											
								</td>
								<td><div style="width:100px; height:1px;"><spacer type="block" width="100" height="1"/></div></td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD valign="top" height="217" style="background-image: url('images/footer_bg.jpg'); background-repeat: repeat-x; padding-top: 40px;">
		<!-- BOTTOM MENU -->
			<table cellpadding="0" cellspacing="0" align="center">
				<tr>
					<xsl:call-template name="BOTTOM-MENU"/>
				</tr>
			</table>		
		<!-- END BOOTTOM MENU -->
		</TD>
	</TR>
</TABLE>
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>		
													
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>								
				<td background="images/submenu_abg.gif" style="padding-left: 22px"><img src="images/submenu_bullet.gif" border="0"/></td>
				<td background="images/submenu_abg.gif" style="padding-left: 5px" height="16" width="100%" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>								
					<td style="padding-left: 22px"><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0"/></a></td>
					<td style="padding-left: 5px" height="16" width="100%"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td colspan="2" height="5"></td></tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
			<td><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
 			<td><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td width="5"></td>
			<td><img src="images/bmenu_separator.gif" style="margin: 0px 5px 0px 5px;"/></td>
			<td width="5"></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}">
		<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
	</meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
